-- P5-6817 Add Canadian stock product title translations
-- Stock product translations do not support fallback texts yet

-- Add fr_CA using fr_FR
INSERT INTO "i18n-texts_data" (locale_id, textid, text)
	select
		(select id from locales where value = 'fr_CA'),
		textid,
		text
	from
		"i18n-texts_data" data
		join "i18n-texts" texts using (textid)
		join "product-products" products on texts.name = products.path
		join "product-stockproducts" using (productid)
	where
		data.locale_id = (select id from locales where value = 'fr_FR')
		and category = 'productTitles'
	;

-- Add en_CA using en_US
INSERT INTO "i18n-texts_data" (locale_id, textid, text)
	select
		(select id from locales where value = 'en_CA'),
		textid,
		text
	from
		"i18n-texts_data" data
		join "i18n-texts" texts using (textid)
		join "product-products" products on texts.name = products.path
		join "product-stockproducts" using (productid)
	where
		data.locale_id = (select id from locales where value = 'en_US')
		and category = 'productTitles'
	;
